#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private T3000.Orderflow.T3000_Delta[] cacheT3000_Delta;
		private T3000.Orderflow.T3000_Footprint[] cacheT3000_Footprint;
		private T3000.Orderflow.T3000_VolumeProfile[] cacheT3000_VolumeProfile;
		private T3000.Orderflow.T3000_VWAP[] cacheT3000_VWAP;

		
		public T3000.Orderflow.T3000_Delta T3000_Delta()
		{
			return T3000_Delta(Input);
		}

		public T3000.Orderflow.T3000_Footprint T3000_Footprint()
		{
			return T3000_Footprint(Input);
		}

		public T3000.Orderflow.T3000_VolumeProfile T3000_VolumeProfile()
		{
			return T3000_VolumeProfile(Input);
		}

		public T3000.Orderflow.T3000_VWAP T3000_VWAP()
		{
			return T3000_VWAP(Input);
		}


		
		public T3000.Orderflow.T3000_Delta T3000_Delta(ISeries<double> input)
		{
			if (cacheT3000_Delta != null)
				for (int idx = 0; idx < cacheT3000_Delta.Length; idx++)
					if ( cacheT3000_Delta[idx].EqualsInput(input))
						return cacheT3000_Delta[idx];
			return CacheIndicator<T3000.Orderflow.T3000_Delta>(new T3000.Orderflow.T3000_Delta(), input, ref cacheT3000_Delta);
		}

		public T3000.Orderflow.T3000_Footprint T3000_Footprint(ISeries<double> input)
		{
			if (cacheT3000_Footprint != null)
				for (int idx = 0; idx < cacheT3000_Footprint.Length; idx++)
					if ( cacheT3000_Footprint[idx].EqualsInput(input))
						return cacheT3000_Footprint[idx];
			return CacheIndicator<T3000.Orderflow.T3000_Footprint>(new T3000.Orderflow.T3000_Footprint(), input, ref cacheT3000_Footprint);
		}

		public T3000.Orderflow.T3000_VolumeProfile T3000_VolumeProfile(ISeries<double> input)
		{
			if (cacheT3000_VolumeProfile != null)
				for (int idx = 0; idx < cacheT3000_VolumeProfile.Length; idx++)
					if ( cacheT3000_VolumeProfile[idx].EqualsInput(input))
						return cacheT3000_VolumeProfile[idx];
			return CacheIndicator<T3000.Orderflow.T3000_VolumeProfile>(new T3000.Orderflow.T3000_VolumeProfile(), input, ref cacheT3000_VolumeProfile);
		}

		public T3000.Orderflow.T3000_VWAP T3000_VWAP(ISeries<double> input)
		{
			if (cacheT3000_VWAP != null)
				for (int idx = 0; idx < cacheT3000_VWAP.Length; idx++)
					if ( cacheT3000_VWAP[idx].EqualsInput(input))
						return cacheT3000_VWAP[idx];
			return CacheIndicator<T3000.Orderflow.T3000_VWAP>(new T3000.Orderflow.T3000_VWAP(), input, ref cacheT3000_VWAP);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.T3000.Orderflow.T3000_Delta T3000_Delta()
		{
			return indicator.T3000_Delta(Input);
		}

		public Indicators.T3000.Orderflow.T3000_Footprint T3000_Footprint()
		{
			return indicator.T3000_Footprint(Input);
		}

		public Indicators.T3000.Orderflow.T3000_VolumeProfile T3000_VolumeProfile()
		{
			return indicator.T3000_VolumeProfile(Input);
		}

		public Indicators.T3000.Orderflow.T3000_VWAP T3000_VWAP()
		{
			return indicator.T3000_VWAP(Input);
		}


		
		public Indicators.T3000.Orderflow.T3000_Delta T3000_Delta(ISeries<double> input )
		{
			return indicator.T3000_Delta(input);
		}

		public Indicators.T3000.Orderflow.T3000_Footprint T3000_Footprint(ISeries<double> input )
		{
			return indicator.T3000_Footprint(input);
		}

		public Indicators.T3000.Orderflow.T3000_VolumeProfile T3000_VolumeProfile(ISeries<double> input )
		{
			return indicator.T3000_VolumeProfile(input);
		}

		public Indicators.T3000.Orderflow.T3000_VWAP T3000_VWAP(ISeries<double> input )
		{
			return indicator.T3000_VWAP(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.T3000.Orderflow.T3000_Delta T3000_Delta()
		{
			return indicator.T3000_Delta(Input);
		}

		public Indicators.T3000.Orderflow.T3000_Footprint T3000_Footprint()
		{
			return indicator.T3000_Footprint(Input);
		}

		public Indicators.T3000.Orderflow.T3000_VolumeProfile T3000_VolumeProfile()
		{
			return indicator.T3000_VolumeProfile(Input);
		}

		public Indicators.T3000.Orderflow.T3000_VWAP T3000_VWAP()
		{
			return indicator.T3000_VWAP(Input);
		}


		
		public Indicators.T3000.Orderflow.T3000_Delta T3000_Delta(ISeries<double> input )
		{
			return indicator.T3000_Delta(input);
		}

		public Indicators.T3000.Orderflow.T3000_Footprint T3000_Footprint(ISeries<double> input )
		{
			return indicator.T3000_Footprint(input);
		}

		public Indicators.T3000.Orderflow.T3000_VolumeProfile T3000_VolumeProfile(ISeries<double> input )
		{
			return indicator.T3000_VolumeProfile(input);
		}

		public Indicators.T3000.Orderflow.T3000_VWAP T3000_VWAP(ISeries<double> input )
		{
			return indicator.T3000_VWAP(input);
		}

	}
}

#endregion
